import request from '@/utils/request'
export function getDataList(params) {
  return request({
    url: 'callcenterapi/api/switchedlosscall/getdatalist',
    method: 'get',
    params
  })
}
// 获取列表数据
export function getOrderLists(params) {
  return request({
    url: 'callcenterapi/api/BusOrder/getlistbypage',
    method: 'get',
    params
  })
}
// 获取媒体管理列表数据
export function getMedia(params) {
  return request({
    url: 'api/MediaManagement/getlist',
    method: 'get',
    params
  })
}
// 获取媒体投放列表数据
export function getMediaList(params) {
  return request({
    url: 'api/MediaCente/getlist',
    method: 'get',
    params
  })
}
// 获取媒体管理详情
export function getMediaDetail(id) {
  return request({
    url: 'api/MediaManagement/getdetails',
    method: 'get',
    params:{
      id
    }
  })
}
// 删除媒体管理
export function deleteMedia(ids) {
  return request({
    url: 'api/MediaManagement/delete',
    method: 'post',
    params:{
      ids
    }
  })
}
// 添加媒体管理
export function addMediaManagment(params) {
  return request({
    url: 'api/MediaManagement/add',
    method: 'post',
    params
  })
}
// 编辑媒体管理
export function editMediaManagment(params) {
  return request({
    url: 'api/MediaManagement/update',
    method: 'post',
    params
  })
}
// 添加媒体投放
export function addMediaInfo(data) {
  return request({
    headers: {
      'Content-Type': 'application/json'
    },
    transformRequest: [function(data) {
      data = JSON.stringify(data)
      return data
    }],
    url: 'api/MediaCente/add',
    method: 'post',
    data
  })
}
// 编辑媒体投放
export function editMediaInfo(data) {
  return request({
    headers: {
      'Content-Type': 'application/json'
    },
    transformRequest: [function(data) {
      data = JSON.stringify(data)
      return data
    }],
    url: 'api/MediaCente/update',
    method: 'post',
    data
  })
}
// 添加变更、计划
export function saveChange(data) {
  return request({
    url: 'api/MediaPlan/add',
    method: 'post',
    data
  })
}
// 媒体投放详情
export function getMediaDeliveryDetail(id) {
  return request({
    url: 'api/MediaCente/getdetails',
    method: 'get',
    params:{
      id
    }
  })
}
// 删除媒体投放
export function deleteMediaDelivery(ids) {
  return request({
    url: 'api/MediaCente/delete',
    method: 'post',
    params:{
      ids
    }
  })
}
// 媒体状态变更
export function mediaState(params) {
  return request({
    url: 'api/MediaCente/operation',
    method: 'get',
    params
  })
}
// 获取商品下拉
export function getShopList(params) {
  return request({
    url: 'api/MediaCente/getlistproduct',
    method: 'post',
    params
  })
}